      complex function csinh (z)
c april 1977 version.  w. fullerton, c3, los alamos scientific lab.
      complex z, ci, csin
      external csin
      data ci /(0.,1.)/
c
      csinh = -ci*csin(ci*z)
c
      return
      end
